post
https://{subdomain}.disco.ac/api/widgets_api/save_to_disco/
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
From your server, post the tracks that make up the playlist that is to be saved to the user's DISCO.
You can send multiple files, e.g. a lossless and a lossy file, include artwork, lyrics and other default metadata. Refer to our "create track" endpoint to see what can be sent.
You can also send tags, but ensure you are only using tags that are part of DISCO's default track tags, outlined here.
Do not send any custom metadata that is not part of our default set of metadata.
{
"playlist_name": "My playlist name",
"sections": [
{"name": "Section 1", "position": 0},
{"name": "Section 2", "position": 5}
],
"tracks": [
{
"files": [ # DISCO supports at most two files per track, one lossless and one lossy
{
"url": "https://...", # URL where DISCO can download audio from. This needs to be publicly available for us to fetch
"ext": "mp3",
"file_name": "my-song.mp3"
},
{
"url": "https://...",
"ext": "wav",
"file_name": "my-song.wav"
}
],
"artwork_url": "https://...", # URL where DISCO can download track artwork, optional
"metadata": { # optional
"Title": "...",
"Artist": "...",
"Album": "..."
# any metadata DISCO supports can be supplied here.
},
"tags": [ # optional
"Cool",
"Dark",
"Dramatic"
],
"external_id": "my-track-id-12345" # optional
},
{
"files": [
{
"url": "https://...",
"ext": "mp3",
"file_name": "my-other-song.mp3"
}
]
}
],
"callback_url": "https://...", # URL where DISCO will POST updates as ingestion progresses, optional
"redirect_url": "https://..." # URL where DISCO will send user after ingestion begins, optional
}
]